
#include <iostream>

using namespace std;

int main ()
{

    long long l;
    long long m;
    long long n;
    long long br = 0;
    long long s = 0;

    cin >> l >> m >> n;

    do
    {
        for (int i = m; i <= l + 1000; i += n)
        {
            s += i;
        }

        br ++;
        br ++;
        br ++;
        br ++;
    }
    while (s <= l);


    cout << br;

    return 0;
}
